<?php
// Register options menu
add_action('admin_menu', 'o3n_hc_createoptionsmenu_function');

// adds options menu to panel
function o3n_hc_createoptionsmenu_function () {
	// create the options menu
	add_options_page('o3n Html Copier Settings Page', 'o3n Html Copier Settings', 'manage_options', __FILE__, 'o3n_hc_settingspage_function');
}

function o3n_hc_settingspage_function() {
	?>
	<div id="theme-options-wrap" class="widefat">
	<?php screen_icon(); ?>
	<h2>o3n Html Copier</h2>
	<form action="options.php" method="post">
	
	<?php 
	settings_fields('o3n_htmlcopier_options');
	do_settings_sections('o3n_htmlcopier_page');
	?>
	
	<input name="Submit" type="submit" value="Save Changes" />
	</form>
	</div>
	<?php
}



add_action('admin_init', 'o3n_hc_admin_init');

// Register and define the settings
function o3n_hc_admin_init() {
	register_setting('o3n_htmlcopier_options', 'o3n_htmlcopier_options', 'o3n_htmlcopier_validate_options_function');
	add_settings_section('o3n_htmlcopier_main', 'o3n Html Copier Settings', 'o3n_htmlcopier_section_text_function', 'o3n_htmlcopier_page');
	add_settings_field('o3n_htmlcopier_url', 'Default URL (to get the content from)', 'o3n_htmlcopier_setting_url_input_function', 'o3n_htmlcopier_page', 'o3n_htmlcopier_main');
	add_settings_field('o3n_htmlcopier_tagname', 'Default Tag Name (tag name of the html element you want to get)', 'o3n_htmlcopier_setting_tagname_input_function', 'o3n_htmlcopier_page', 'o3n_htmlcopier_main');
	add_settings_field('o3n_htmlcopier_showsource', 'Default show source behaviour (shows a small link to the source url before the end tag of the element)', 'o3n_htmlcopier_setting_showsource_input_function', 'o3n_htmlcopier_page', 'o3n_htmlcopier_main');
}

// Draw the section header
function o3n_htmlcopier_section_text_function() {
	echo '<p>';
	include_once 'donate.php';
	echo '</p>';
	echo '<p>';
	echo 'To get more information on this plugin and avaliable settings / shortcode parameters visit <a href="http://www.o3n.org/2013/01/html-element-copier-plugin/" target="_blank">the plugin page</a>.';
	echo '</p>';
}

// Display and fill the form field url
function o3n_htmlcopier_setting_url_input_function() {
	// get option 'url' value from the database
	$o3n_hc_options = get_option('o3n_htmlcopier_options');
	$o3n_hc_url = $o3n_hc_options['url'];
	// echo the field
	echo "<input id='o3n_hc_url' name='o3n_htmlcopier_options[url]' type='text' value='$o3n_hc_url'";
}

// Display and fill the form field tagname
function o3n_htmlcopier_setting_tagname_input_function() {
	// get option 'tagname' value from the database
	$o3n_hc_options = get_option('o3n_htmlcopier_options');
	$o3n_hc_tagname = $o3n_hc_options['tagname'];
	// echo the field
	echo "<input id='o3n_hc_tagname' name='o3n_htmlcopier_options[tagname]' type='text' value='$o3n_hc_tagname'";
}
// Display and fill the form field show source
function o3n_htmlcopier_setting_showsource_input_function() {
	// get option 'tagname' value from the database
	$o3n_hc_options = get_option('o3n_htmlcopier_options');
	$o3n_hc_showsource = $o3n_hc_options['showsource'];
	// echo the field
	$checked = checked( $o3n_hc_showsource, 1, false );
	echo "<input type='checkbox' name='o3n_htmlcopier_options[showsource]'  id='o3n_hc_showsource' value=1 $checked />";
}

// Validate user input (we want url)
function o3n_htmlcopier_validate_options_function ( $input ) {
	$valid = array();
	$valid['url'] = $input['url'];
	$valid['tagname'] = $input['tagname'];
	$valid['showsource'] = $input['showsource'];
	return $valid;
}
?>