<?php
/*
Plugin Name: o3n Html Copier
Plugin URI: http://www.o3n.org/2013/01/html-element-copier-plugin/
Description: This plugin allows you to place [o3nhtmlcopier] shortcodes in your content. Using this shortcode you can get a part of a page cloned in your content. For example you can set the parameters of the shortcode so that you can get the 5th table component in a page. (Doesn't work with nested items i.e. table in table because it searches for first closing tag after it finds 5th opening tag). This is especially useful for getting dynamically changing content from a structurewise static page. Say you want to get recent interest rates as a table from a page. The page itself doesn't change (i.e. the table is always 5th item in it) but content changes everyday. With this tool you can get the clone of that table generated whenever you visit your content page. (Please get the permission before doing so, this is not meant to be tool for content stealing) For more information visit the plugin page. 
Version: 1.0.1
Author: o3n Web Design
Author URI: http://www.o3n.org
License: GPLv2
*/
?>
<?php
/* Copyright 2013 Umut Ozkan (email : uozkan@o3n.org)
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
*/
?>
<?php
// Options menu
include_once 'includes/options.php';

// Installation initializations
include_once 'includes/initializations.php';

//Add shorcode functionality
include_once 'includes/shortcode.php';


// Add head functions (css files etc.)
add_action('admin_head', 'o3n_admin_register_head_function');
add_action('wp_head', 'o3n_site_register_head_function');

function o3n_admin_register_head_function() {
	$o3n_css_url = plugins_url('/css/options_page.css', __FILE__);
	echo "<link rel='stylesheet' href='$o3n_css_url' />\n";
}

function o3n_site_register_head_function () {
	$o3n_css_url = plugins_url('/css/style.css', __FILE__);
	echo "<link rel='stylesheet' href='$o3n_css_url' />\n";
}
?>